var path = require('path')
var webpack = require('webpack')


var vueLoaderConfig = require('./build/vue-loader.conf')

module.exports = {
    entry: {
        mobile:'./src/main.js',
        admin:'./src/main-admin.js'
    },
    resolve: {
        alias: {
            vue: 'vue/dist/vue.js',
            plugins:path.resolve(__dirname,'./src/plugins'),
            layouts:path.resolve(__dirname,'./src/layouts'),
            components:path.resolve(__dirname,'./src/components'),
            vueroot:path.resolve(__dirname,'./src'),
            webpackroot:path.resolve(__dirname,'./'),
            externalcomponents:path.resolve(__dirname,'./src/component'),
            externalmixins:path.resolve(__dirname,'./src/mixin')
        }
    },
    output: {
        path: path.resolve(__dirname, './dist'),
        publicPath: '/dist/',
        filename: '[name].build.js',
        chunkFilename: "[id].bundle.js"
    },
    resolveLoader: {
        root: path.join(__dirname, 'node_modules'),
    },
    module: {
        exprContextCritical: false,
        "presets": ["es2015"],
        loaders: [{
                test: /\.json$/,
                loader: 'json'
            },
            {
                test: /\.vue$/,
                loader: 'vue',
                options: vueLoaderConfig
            },
            {
                test: /\.js$/,
                loader: 'babel',
                exclude: /node_modules/
            },
            {
                test: /\.(css|less)$/,
                loader: "style-loader!css-loader!postcss-loader!less-loader"
            },
            {
                test: /\.(png|jpg|gif|svg)$/,
                loader: 'file',
                query: {
                    name: '[name].[ext]?[hash]'
                }
            },{
                test: /\.(woff|png)$/,
                loader: 'url-loader?limit=10000'
            }
        ]
    }
}
// module.exports.devtool = '#source-map'
module.exports.plugins = (module.exports.plugins || []).concat([
    new webpack.DefinePlugin({
        'process.env': {
            NODE_ENV: '"production"'
        }
    }),
    new webpack.optimize.UglifyJsPlugin({
        compress: {
            warnings: false
        }
    }),
    new webpack.optimize.OccurenceOrderPlugin()
])
